# Bits.h File Reference

`#include "ace/Auto_Ptr.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Condition_T.h"`
`#include "ace/Synch_Traits.h"`

Include dependency graph for Bits.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_RMCast

## Typedefs

typedef ACE_SYNCH_MUTEX | Mutex
typedef ACE_Guard< Mutex > | Lock
typedef ACE_Condition< Mutex > | Condition

## Typedef Documentation

typedef ACE_Condition<Mutex> ACE_RMCast::Condition

typedef ACE_Guard<Mutex> ACE_RMCast::Lock

typedef ACE_SYNCH_MUTEX ACE_RMCast::Mutex